org.apache.lucene.search.similarities

## Class NormalizationZ

- java.lang.Object
- - org.apache.lucene.search.similarities.Normalization
  - - org.apache.lucene.search.similarities.NormalizationZ

    public class NormalizationZ
    extends Normalization

Pareto-Zipf Normalization

WARNING: This API is experimental and might change in incompatible ways in the next release.

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.lucene.search.similarities.Normalization

`Normalization.NoNormalization`

### Constructor Summary

Constructors
Constructor and Description
`NormalizationZ()` Calls `NormalizationZ(0.3)`
`NormalizationZ(float z)` Creates NormalizationZ with the supplied parameter `z`.

### Method Summary

All Methods Instance Methods Concrete Methods
`Explanation` `explain(BasicStats stats, double tf, double len)` Returns an explanation for the normalized term frequency.
`float` `getZ()` Returns the parameter `z`
`double` `tfn(BasicStats stats, double tf, double len)` Returns the normalized term frequency.
`String` `toString()` Subclasses must override this method to return the code of the normalization formula.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### NormalizationZ

    public NormalizationZ()

Calls `NormalizationZ(0.3)`

#### NormalizationZ

    public NormalizationZ(float z)

Creates NormalizationZ with the supplied parameter `z`.

Parameters:
  `z` - represents `A/(A+1)` where `A` measures the specificity of the language. It ranges from (0 .. 0.5)

### Method Detail

#### tfn

    public double tfn(BasicStats stats,
                      double tf,
                      double len)

Description copied from class: `Normalization`
Returns the normalized term frequency.

Specified by:
  `tfn` in class `Normalization`
  `len` - the field length.

#### explain

    public Explanation explain(BasicStats stats,
                               double tf,
                               double len)

Description copied from class: `Normalization`
Returns an explanation for the normalized term frequency.

The default normalization methods use the field length of the document and the average field length to compute the normalized term frequency. This method provides a generic explanation for such methods. Subclasses that use other statistics must override this method.

Overrides:
  `explain` in class `Normalization`

#### toString

    public String toString()

Description copied from class: `Normalization`
Subclasses must override this method to return the code of the normalization formula. Refer to the original paper for the list.

Specified by:
  `toString` in class `Normalization`

#### getZ

    public float getZ()

Returns the parameter `z`

See Also:
  `NormalizationZ(float)`